summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-05-14 09:52:54 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-05-14 10:46:34 +0200
commitdbadfce5e87c4c72a574f16f74da6869bc8bd913 (patch)
tree74397022d54ee3b66ecd07265ef27752c4355f92 /kde-frameworks/purpose/purpose-5.58.0.ebuild
parentnet-misc/cni-plugins: Version bump to 0.8.0 (diff)
downloadgentoo-dbadfce5e87c4c72a574f16f74da6869bc8bd913.tar.gz
gentoo-dbadfce5e87c4c72a574f16f74da6869bc8bd913.tar.bz2
gentoo-dbadfce5e87c4c72a574f16f74da6869bc8bd913.zip
kde-frameworks: Add KDE Frameworks 5.58.0
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'kde-frameworks/purpose/purpose-5.58.0.ebuild')
-rw-r--r--kde-frameworks/purpose/purpose-5.58.0.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/kde-frameworks/purpose/purpose-5.58.0.ebuild b/kde-frameworks/purpose/purpose-5.58.0.ebuild
new file mode 100644
index 00000000000..37030099e57
--- /dev/null
+++ b/kde-frameworks/purpose/purpose-5.58.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_QTHELP="false"
+KDE_TEST="forceoptional"
+inherit kde5
+
+DESCRIPTION="Library for providing abstractions to get the developer's purposes fulfilled"
+LICENSE="LGPL-2.1+"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="+kaccounts"
+
+DEPEND="
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtwidgets)
+ kaccounts? (
+ $(add_kdeapps_dep kaccounts-integration)
+ net-libs/accounts-qt
+ )
+"
+RDEPEND="${DEPEND}"
+
+# requires running environment
+RESTRICT+=" test"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package kaccounts KAccounts)
+ )
+
+ kde5_src_configure
+}
+
+pkg_postinst(){
+ kde5_pkg_postinst
+
+ if ! has_version "kde-misc/kdeconnect[app]" ; then
+ elog "Optional runtime dependency:"
+ elog "kde-misc/kdeconnect[app] (send through KDE Connect)"
+ fi
+}